#include "testApp.h"


//--------------------------------------------------------------
void testApp::setup(){

	ofSetVerticalSync(true);

    //put the device - or the com port here
    //ie "COM1"
	ard.connect("/dev/tty.usbserial-A4000Qek", 57600);

	  //set pins as output/input
	for (int i = 0; i < 13; i++){
		ard.sendDigitalPinMode(i, ARD_OUTPUT);
	}

	ard.sendDigitalPinMode(2, ARD_INPUT);
	ard.sendDigitalPinMode(13, ARD_OUTPUT);
	ard.sendAnalogPinReporting(0, ARD_ANALOG);
	ard.sendDigitalPinMode(11, ARD_PWM);

	ofBackground(255,0,130);
	count = 0;

	//ofSetFrameRate(10);

}

//--------------------------------------------------------------
void testApp::update(){
	ard.update();
	printf("%i \n", ard.getDigital(2));
	printf("%i \n", ard.getAnalog(0));

	if (ard.getDigital(2) == 1){
		ofSetFullscreen(true);
	} else {
		ofSetFullscreen(false);
	}
	if (ard.getDigital(2) == 0) ofSetWindowShape(1+ ard.getAnalog(0), 1+ard.getAnalog(0));


	ard.sendPwm(11, (int)ofRandom(0,30));
	count += 5;

	cout << ofGetFrameRate() << endl;
}

//--------------------------------------------------------------
void testApp::draw(){

}


//--------------------------------------------------------------
void testApp::keyPressed  (int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	 ard.sendDigital(13, ARD_HIGH);
}

//--------------------------------------------------------------
void testApp::mouseReleased(){
	ard.sendDigital(13, ARD_LOW);
}
